Package net.shibboleth.shared.annotation

# Annotation Interface ParameterName

@Documented @Retention(RUNTIME) @Target(PARAMETER) public @interface ParameterName
The Name of the parameter (aimed at constructors). This allows IOC frameworks to inject parameters into the constructor by name without the (Java) name itself becoming part of the API (and allowing in Java 8) things to be compiled -parameters.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
The name for this parameter.

## Element Details

### name

@Nonnull String name
The name for this parameter.

Returns:
  the name.